#pragma GCC optimize("O3")

//#include "triangles.h"

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

//#define int long long
#define db long double
#define MX LLONG_MAX
#define MN LLONG_MIN
#define gcd __gcd
#define lcm(a, b) (a / gcd(a, b) * b)

using namespace std;
using namespace __gnu_pbds;
using ll = long long;

typedef tree<
int,
null_type,
less<int>,
rb_tree_tag,
tree_order_statistics_node_update>
ordered_set;

//struct Triangle {
//    int i, j, k;
//    Triangle() = default;
//    Triangle(int i_, int j_, int k_) : i(i_), j(j_), k(k_) {}
//};

vector<vector<int32_t>> solve(int32_t n) {
    vector<int> a = {0, 1, 2, 3};
    do {
        vector<Triangle> v1 = {Triangle(a[0], a[1], a[2])};
        vector<Triangle> v2 = {Triangle(a[0], a[1], a[3])};
        if (compare(v1, v2) == 0) {
            vector<vector<int32_t>> res(2);
            res[0] = {a[0], a[1], a[2]};
            res[1] = {a[0], a[1], a[3]};
            return res;
        }
    } while (next_permutation(a.begin(), a.end()));
}

//int32_t main()
//{
//    ios_base::sync_with_stdio(0);
//    cin.tie(0); cout.tie(0);
//
//}
